function h = mutualinfo(vec1,vec2)
// calculate the mutual information of two vectors
// Calling Sequence
// h = mutualinfo(vec1,vec2)
// Examples
//  a=[1 2 1 2 1]';b=[2 1 2 1 1]';
//  printf('mutualinfo(a,b)= %f \n',mutualinfo(a,b));
// Authors
// By Hanchuan Peng, April/2002
//

//=========================================================
//
//This is a prog in the MutualInfo 0.9 package written by 
// Hanchuan Peng.
//
//Disclaimer: The author of program is Hanchuan Peng
//      at <penghanchuan@yahoo.com> and <phc@cbmv.jhu.edu>.
//
//The CopyRight is reserved by the author.
//
//Last modification: April/19/2002
//
//========================================================
 [nargout,nargin]=argn(0);
[p12, p1, p2] = estpab(vec1,vec2);
h = estmutualinfo(p12,p1,p2);

endfunction